%define ver		3.99
%define uver		4
%define bver		5
%define sver		7

%define major		2
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		mac
Version:	3.99.4.5.7
Release:	%mkrel 5
Summary:	Monkey's Audio Codec
# Nonfree custom license (as per clause 3): http://www.monkeysaudio.com/license.html
License:	Custom
Group:		Sound/Editors and Converters
Url:		http://etree.org/shnutils/shntool/
Source0:	http://etree.org/shnutils/shntool/support/formats/ape/unix/%{ver}-u%{uver}-b%{bver}-s%{sver}/%{name}-%{ver}-u%{uver}-b%{bver}-s%{sver}.tar.gz

BuildRequires:	libstdc++-devel


%description
Monkey's Audio Codec is a lossless audio codec w/ good
correspondence of compression (and decompression) ratio
and time.

Monkey's Audio Codec can be used for personal, educational
and non-commercial purposes. Commercial usage requires
prior written permission from Monkey's Audio author.
See License.htm before usage.

This version is patched for shntool support.

This package is in nonfree repository because of its license.

#------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Monkey's Audio Codec library
Group:		System/Libraries

%description -n %{libname}
Monkey's Audio Codec library.

Monkey's Audio Codec is a lossless audio codec w/ good
correspondence of compression (and decompresssion) ratio
and time.

Monkey's Audio Codec can be used for personal, educational
and non-commercial purposes. Commercial usage requires
prior written permission from Monkey's Audio author.
See License.htm before usage.

This version is patched for shntool support.

This package is in nonfree repository because of its license.

#------------------------------------------------------------------------

%package -n	%{develname}
Summary:	Monkey's Audio Codec development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files (headers etc) needed to develop software with %{libname}.

This version is patched for shntool support.

This package is in nonfree repository because of its license.

#------------------------------------------------------------------------
%prep
%setup -q -n %{name}-%{ver}-u%{uver}-b%{bver}-s%{sver}

%build
CXXFLAGS="$CXXFLAGS -DSHNTOOL"
%configure2_5x \
   --disable-static
%make

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS ChangeLog* NEWS README
%{_bindir}/%{name}

%files -n %{libname}
%doc src/License.htm
%{_libdir}/libmac.so.%{major}
%{_libdir}/libmac.so.%{major}.*

%files -n %{develname}
%doc TODO src/Readme.htm
%{_includedir}/%{name}/*.h
%{_libdir}/libmac.so


%changelog
* Thu Feb 25 2016 daviddavid <daviddavid> 3.99.4.5.7-5.mga6
+ Revision: 978894
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.99.4.5.7-4.mga5.nonfree
+ Revision: 748897
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.99.4.5.7-3.mga5.nonfree
+ Revision: 727065
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.99.4.5.7-2.mga5.nonfree
+ Revision: 682117
- Mageia 5 Mass Rebuild

* Fri Mar 14 2014 david-david <david-david> 3.99.4.5.7-1.mga5.nonfree
+ Revision: 603849
- imported package mac

